Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 16003)
+++ trunk/language/de_DE/admin.lang.php	(revision 16023)
@@ -63,10 +63,10 @@
 $lang['Album manual order was saved'] = 'Albumreihenfolgen wurde gespeichert';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Suche nach einem Upgrade nicht möglich.';
-$lang['Check for upgrade'] = 'Prüfe ob eine neue Version der Bildergalerie verfügbar ist.';
+$lang['Check for upgrade'] = 'Prüfe, ob eine neue Version der Bildergalerie verfügbar ist.';
 $lang['Comments for all'] = 'Kommentare für alle erlaubt';
 $lang['Current name'] = 'Derzeitiger Name';
 $lang['Database'] = 'Datenbank';
 $lang['Deactivate'] = 'Deaktivieren';
-$lang['Delete Representant'] = 'Lösche Vorschaubild';
+$lang['Delete Representant'] = 'Lösche das Album-Vorschaubild';
 $lang['Delete selected tags'] = 'Lösche markierte Stichworte';
 $lang['Delete selected users'] = 'Lösche markierte Benutzer';
@@ -76,5 +76,5 @@
 $lang['Description'] = 'Beschreibung';
 $lang['Display options'] = 'Anzeigeeinstellungen';
-$lang['Dissociated'] = 'ist nicht verlinkt';
+$lang['Dissociated'] = 'Ist nicht verlinkt';
 $lang['Does not represent'] = 'Ist nicht Vorschaubild für dieses Album';
 $lang['Edit selected tags'] = 'Bearbeite markierte Stichworte';
@@ -94,6 +94,6 @@
 $lang['Informations'] = 'Kategorieinformation';
 $lang['Install'] = 'Installiere';
-$lang['Link all album photos to a new album'] = 'Verbinde alle Album Elemente mit einem neuen Album';
-$lang['Link all album photos to some existing albums'] = 'Verbinde alle Album Elemente mit einem existierenden Album';
+$lang['Link all album photos to a new album'] = 'Verbinde alle Album-Elemente mit einem neuen Album';
+$lang['Link all album photos to some existing albums'] = 'Verbinde alle Album-Elemente mit einem existierenden Album';
 $lang['Linked albums'] = 'Verlinktes Album';
 $lang['Lock gallery'] = 'Blockiere den Zugriff auf die Datenbank';
@@ -256,5 +256,5 @@
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Ein Benutzer ist dann auswählbar wenn es neue Fotos gibt.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'Wenn niemand in der Mailingliste eingetragen ist, kannst du keine E-Mails versenden. (Nur der Webmaster erscheint bei Aktualisierungen in dieser Liste).';
-$lang['No user to send notifications by mail.'] = 'Kein Benutzer da um Aktualisierungen zu senden.';
+$lang['No user to send notifications by mail.'] = 'Kein Benutzer da, um Aktualisierungen zu senden.';
 $lang['New photos added'] = 'Neue Fotos hinzugefügt';
 $lang['Subscribe to notification by mail'] = 'Eintragen zur E-Mailbenachrichtigung';
@@ -287,5 +287,5 @@
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'WARNUNG: Hinzufügen oder Entfernen von Benutzern zur Mailingliste erwirkt sofort eine automatische E-Mail an den Betreffenden';
 $lang['Send mail on HTML format'] = 'Sende E-Mail im HTML-Format';
-$lang['Include display of recent photos grouped by dates'] = 'Binde die neuesten Bilder, gruppiert nach Datum, in die Email ein';
+$lang['Include display of recent photos grouped by dates'] = 'Binde die neuesten Bilder gruppiert nach Datum in die E-Mail ein';
 $lang['Available only with HTML format'] = 'Nur verfügbar, wenn die Benachrichtigungen im HTML-Format verschickt werden';
 $lang['no write access'] = 'kein Schreibzugriff';
@@ -402,5 +402,5 @@
 $lang['Hello,'] = 'Hallo,';
 $lang['See you soon.'] = 'Bis bald.';
-$lang['Discover album:'] = 'Folgen Sie den Link und entdecken Sie den Album:';
+$lang['Discover album:'] = 'Entdecken Sie das Album:';
 $lang['Mail content'] = 'Text der E-Mail';
 $lang['none'] = 'egal';
@@ -422,5 +422,5 @@
 $lang['Purge history detail'] = 'Lösche History detailliert';
 $lang['Purge history summary'] = 'Lösche History gesamt';
-$lang['Check integrity'] = 'überprüfung der Integrität';
+$lang['Check integrity'] = 'Überprüfung der Integrität';
 $lang['Anomaly'] = 'Anomalie';
 $lang['Correction'] = 'Korrektur';
@@ -438,9 +438,9 @@
 $lang['the forum'] = 'das Forum';
 $lang['the wiki'] = 'das wiki';
-$lang['%s value is not correct file because exif are not supported'] = 'Der Wert %s ist nicht korrekt weil EXIF nicht unterstützt wird';
+$lang['%s value is not correct file because exif are not supported'] = 'Der Wert %s ist nicht korrekt, weil Exif nicht unterstützt wird';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s muss auf "false" in Ihrer Datei config_local.inc.php';
 $lang['Main "guest" user does not exist'] = 'Der Benutzer "Gast" Haupt nicht mehr';
 $lang['Main "guest" user status is incorrect'] = 'Der Status der Benutzer "Gast" ist falsch';
-$lang['Default user does not exist'] = 'Der Benutzer standardmäßig nicht mehr';
+$lang['Default user does not exist'] = 'Der Standardbenutzer existiert nicht';
 $lang['Main "webmaster" user does not exist'] = 'Der Benutzer "Webmaster" Haupt nicht mehr';
 $lang['Main "webmaster" user status is incorrect'] = 'Der Status des Benutzers "Webmaster" ist falsch';
@@ -451,5 +451,5 @@
 $lang['No display'] = 'Keine Anzeige';
 $lang['Classic display'] = 'Klassische Ansicht';
-$lang['Hoverbox display'] = 'Anzeige beim überflug';
+$lang['Hoverbox display'] = 'Anzeige beim Überflug';
 $lang['Mail address is obligatory for all users'] = 'Die Angabe einer gültigen E-Mail-Adresse ist für alle Benutzer verpflichtend';
 $lang['Minimum privacy level'] = 'Minimale Datenschutzstufe';
@@ -463,5 +463,5 @@
 $lang['Check all'] = 'Alle auswählen';
 $lang['Uncheck all'] = 'Alles entfernen';
-$lang['Check automatic corrections'] = 'überprüfen Sie automatische Korrekturen';
+$lang['Check automatic corrections'] = 'Überprüfen Sie automatische Korrekturen';
 $lang['Apply selected corrections'] = 'Die entsprechenden ausgewählten';
 $lang['Ignore selected anomalies'] = 'Ignorieren Sie gewählte Anomalien';
@@ -475,8 +475,8 @@
 $lang['Check for updates'] = 'Auf Updates überprüfen';
 $lang['Other plugins'] = 'Weitere Plugins';
-$lang['Last revisions'] = 'Aktuelle änderungen';
-$lang['Are you sure you want to delete this plugin?'] = 'Sind Sie sicher dass Sie dieses Plugin löschen möchten?';
-$lang['Are you sure you want to install this plugin?'] = 'Sind Sie sicher dass Sie dieses Plugin installieren möchten?';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sind Sie sicher dass Sie dieses Plugin installieren möchten? Stellen sicher, dass die vorhergehende Version nicht deinstalliert werden muss.';
+$lang['Last revisions'] = 'Aktuelle Änderungen';
+$lang['Are you sure you want to delete this plugin?'] = 'Sind Sie sicher, dass Sie dieses Plugin löschen möchten?';
+$lang['Are you sure you want to install this plugin?'] = 'Sind Sie sicher, dass Sie dieses Plugin installieren möchten?';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sind Sie sicher, dass Sie dieses Plugin installieren möchten? Stellen sicher, dass die vorhergehende Version nicht deinstalliert werden muss.';
 $lang['Plugin has been successfully copied'] = 'Das Plugin wurde erfolgreich installiert.';
 $lang['You might go to plugin list to install and activate it.'] = 'Gehen Sie in die "Liste der Plugins" um installierte Plugins zu aktivieren.';
@@ -495,5 +495,5 @@
 $lang['ACCESS_5'] = 'Keine Benutzer';
 $lang['Support'] = 'Support';
-$lang['Documentation'] = 'WIKI / Dokumentation';
+$lang['Documentation'] = 'Wiki / Dokumentation';
 $lang['A new version of Piwigo is available.'] = 'Es steht eine neue Version von Piwigo zur Verfügung.';
 $lang['Piwigo Administration'] = 'Verwaltung von Piwigo';
@@ -504,5 +504,5 @@
 $lang['Deleted on'] = 'Gelöscht am';
 $lang['Last hit'] =  'Letzter Zugriff';
-$lang['GD library is missing'] = 'die GD-Library ist nicht auf dem Server installiert, bitte frage den Administrator oder Provider.';
+$lang['GD library is missing'] = 'Die GD Library ist nicht auf dem Server installiert.';
 $lang['Templates'] = 'Templates (Modelle)';
 $lang['Extend for templates'] = 'Vorlagenerweiterung';
@@ -517,5 +517,5 @@
 $lang['nothing'] = 'nichts';
 $lang['overrides existing values with empty ones'] = 'Überschreibt alle existierenden Werte in der Datenbank mit leeren!!  (filesize, width, height, high_filesize, date_creation, keywords, date_creation, author, name, comment)';
-$lang['Manage photo ranks'] = 'Verwalte Foto Rangordnung';
+$lang['Manage photo ranks'] = 'Verwalte Foto-Rangordnung';
 $lang['Edit ranks'] = 'Die Reihenfolge ändern';
 $lang['No photo in this album'] = 'Keine Fotos in diesem Album';
@@ -535,5 +535,5 @@
 // --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Newsletter';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Abonniere den Piwigo Newsletter. Du bekommst eine E-Mail wenn eine neue Version verfügbar ist (manchmal wird ein Bug gefixt, der die Sicherheit der Piwigo erhöht, es ist dann wichtig das Upgrade zu installieren) und wenn es wichtige Ereignisse rund um das Projekt gibt. Es sind nur ein paar E-Mails im Jahr.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Abonnieren sie den Piwigo-Newsletter. Sie erhalten E-Mails, wenn eine neue Version von Piwigo bereitsteht oder wichtige Sicherheits-Updates erschienen sind. Sie werden über bedeutende Ereignisse rund um das Piwigo-Projekt informiert. Es erscheinen nur wenige Newsletter im Jahr.';
 $lang['Subscribe %s'] = 'Abonnieren %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonniere %s zum Piwigo Newsletter';
@@ -546,12 +546,12 @@
 $lang['Allow users to edit their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu editieren';
 $lang['Allow users to delete their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu löschen';
-$lang['Email administrators when a comment is modified'] = 'Schicke den Administratoren eine E-mail wenn ein Kommentar verändert wurde';
-$lang['Email administrators when a comment is deleted'] = 'Schicke den Administratoren eine E-mail wenn ein Kommentar gelöscht wurde';
-$lang['Cannot delete the old permalink !'] = 'Kann den alten Permalink nicht löschen !';
+$lang['Email administrators when a comment is modified'] = 'Schicke den Administratoren eine E-Mail, wenn ein Kommentar verändert wurde';
+$lang['Email administrators when a comment is deleted'] = 'Schicke den Administratoren eine E-Mail, wenn ein Kommentar gelöscht wurde';
+$lang['Cannot delete the old permalink !'] = 'Kann den alten Permalink nicht löschen!';
 $lang['Hit'] = 'Treffer';
 $lang['Tools'] = 'Werkzeuge';
 $lang['Photos'] = 'Fotos';
 $lang['Themes'] = 'Themen';
-$lang['Instructions to use Piwigo'] = 'Instruktionen um die Piwigo zu benutzen';
+$lang['Instructions to use Piwigo'] = 'Instruktionen, um Piwigo zu benutzen';
 $lang['Installed Themes'] = 'Installierte Themen';
 $lang['Add New Theme'] = 'Füge ein neues Thema hinzu';
@@ -562,5 +562,5 @@
 $lang['Drop into album'] = 'In das Album hochladen';
 $lang['+ Add an upload box'] = '+ eine weitere Uploadbox';
-$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Erstelle den  "%s" Ordner im Hauptordner (root) deiner Piwigoinstallation';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Erstelle den "%s" Ordner im Hauptordner (root) Ihrer Piwigo-Installation';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Gebe Schreibrechte (chmod 777) dem Ordner "%s" im Hauptordner (root) deiner Piwigoinstallation';
 $lang['existing album'] = 'Existierendes Album';
@@ -581,5 +581,5 @@
 $lang['Maximum Width'] = 'Maximale Breite';
 $lang['pixels'] = 'Pixel';
-$lang['Maximum Height'] = 'Maximale  Höhe';
+$lang['Maximum Height'] = 'Maximale Höhe';
 $lang['Image Quality'] = 'Bildqualität';
 $lang['Save Settings'] = 'Speichere Einstellungen';
@@ -593,10 +593,10 @@
 $lang['Download,'] = 'Download,';
 $lang['FTP + Synchronization'] = 'FTP + Synchronisieren';
-$lang['Get Support on Piwigo Forum'] = 'Bekomme Hilfe im Piwigo Forum';
+$lang['Get Support on Piwigo Forum'] = 'Bekomme Hilfe im Piwigo-Forum';
 $lang['Help Me'] = 'Hilf mir';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Es ist nicht möglich dieses Thema zu aktivieren da das Elternthema %s fehlt';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich dieses Thema zu löschen. Andere Themen basieren darauf: %s';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Es ist nicht möglich, dieses Thema zu aktivieren, da das Elternthema %s fehlt';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich, dieses Thema zu löschen; andere Themen basieren darauf: %s';
 $lang['Inactive Themes'] = 'Inaktive Themen';
-$lang['Install on your computer,'] = 'Installiere auf deinem Computer,';
+$lang['Install on your computer,'] = 'Installiere auf Ihrem Computer,';
 $lang['Make this theme available to users'] = 'Stelle dieses Thema den Benutzern zur Verfügung';
 $lang['Page end'] = 'Ende der Seite';
@@ -625,5 +625,5 @@
 $lang['None'] = 'Nichts';
 $lang['Invert'] = 'Umkehren';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Es ist nicht möglich dieses Thema zu deaktivieren, du benötigst mindestens ein Thema.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Es ist nicht möglich, dieses Thema zu deaktivieren, Sie benötigen mindestens ein Thema.';
 $lang['Miscellaneous'] = 'Verschiedenes';
 $lang['Virtual Links'] = 'Virtuelle Verbindungen';
@@ -640,5 +640,5 @@
 $lang['Active Languages'] = 'Aktivierte Sprachen';
 $lang['Delete this language'] = 'Lösche diese Sprache';
-$lang['Forbid this language to users'] = 'Verbiete Benutzern, diese Sprache auszuwählen';
+$lang['Forbid this language to users'] = 'Verbiete Benutzern diese Sprache auszuwählen';
 $lang['Impossible to deactivate this language, first set another language as default.'] = 'Sie müssen zuerst eine neue Standardsprache wählen, bevor Sie diese Sprache deaktivieren.';
 $lang['Impossible to deactivate this language, you need at least one language.'] = 'Sie können diese Sprache nicht deaktvieren, da mindestens eine Sprache benötigt wird.';
@@ -702,5 +702,5 @@
 $lang['remove creation date'] = 'Entferne das Erstellungsdatum';
 $lang['Album photos associated to the following albums: %s'] = 'Albumfotos findet man in folgenden Alben: %s';
-$lang['Delete orphan tags'] = 'Lösche nichtbenutzte Stichworte';
+$lang['Delete orphan tags'] = 'Lösche nicht benutzte Stichworte';
 $lang['delete photo'] = 'lösche Foto';
 $lang['Orphan tags deleted'] = 'Nichtbenutzte Stichworte wurden gelöscht';
@@ -709,7 +709,7 @@
 $lang['Remove from caddie'] = 'Vom Sammelkorb entfernen';
 $lang['Themes which need upgrade'] = 'Themen, welche einen update brauchen';
-$lang['Languages which need upgrade'] = 'Sprachen, welche einen update brauchen';
+$lang['Languages which need upgrade'] = 'Sprachen, die ein Update brauchen';
 $lang['All themes are up to date.'] = 'Alle Themen sind auf dem neuesten Stand.';
-$lang['All plugins are up to date.'] = 'Alle Plug-Ins sind auf dem neuesten Stand.';
+$lang['All plugins are up to date.'] = 'Alle Plug-ins sind auf dem neuesten Stand.';
 $lang['All languages are up to date.'] = 'Alle Sprachen sind auf dem neuesten Stand.';
 $lang['Visit theme site'] = 'Die Themenseite besuchen';
@@ -721,5 +721,5 @@
 $lang['Do you want to activate anyway?'] = 'Wollen Sie es wirklich wieder aktivieren?';
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'DIESES PLUGIN IST JETZT IN DEN KERN DER PIWIGO INTEGRIERT! BITTE UNBEDINGT DEINSTALLIEREN!';
-$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: DIESES PLUGIN FEHLT OBWOHL ES INSTALLIERT IST! BITTE UNBEDINGT DEINSTALLIEREN! ';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: DIESES PLUGIN FEHLT, OBWOHL ES INSTALLIERT IST! BITTE UNBEDINGT DEINSTALLIEREN! ';
 $lang['Thumbnails generation in progress...'] = 'Vorschaubilder werden neu erstellt...';
 $lang['Photos generation in progress...'] = 'Fotos werden neu erstellt...';
@@ -746,6 +746,6 @@
 $lang['Extensions Update'] = 'Aktualisierung der Erweiterungen';
 $lang['All extensions are up to date.'] = 'Alle Erweiterungen sind aktuell.';
-$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Folgende Erweiterungen sind möglicherweise nicht kompatibel mit der neuen Version der Piwigo:';
-$lang['Following themes may not be compatible with the new version of Piwigo:'] = ' Folgende Themen sind möglicherweise nicht kompatibel mit der neuen Version der Piwigo:';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Folgende Plugins sind möglicherweise nicht kompatibel mit der neuen Version von Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Folgende Themen sind möglicherweise nicht kompatibel mit der neuen Version von Piwigo:';
 $lang['I decide to update anyway'] = 'Ich möchte trotzdem aktualisieren';
 $lang['Update to Piwigo %s'] = 'Aktualisierung auf Piwigo %s';
@@ -757,5 +757,5 @@
 $lang['Save Template Directory'] = 'Sichere den Template-Ordner';
 $lang['Dump Database'] = 'Sichere die Datenbank';
-$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Sichere auch die Daten der History (Warnung: kann das Speicherlimit des Servers überschreiten)';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Sichere auch die Daten der History. (Warnung: Das Speicherlimit des Servers kann überschreiten werden!)';
 $lang['Unable to dump database.'] = 'Es ist nicht möglich die Datenbank zu sichern.';
 $lang['Some upgrades are available for extensions.'] = 'Einige Aktualisierungen für Erweiterungen sind verfügbar.';
@@ -765,5 +765,5 @@
 $lang['Height'] = 'Höhe';
 $lang['Follow Orientation'] = 'Folgen Sie der Orientierung';
-$lang['Graphics Library'] = ' Grafikbibliothek';
+$lang['Graphics Library'] = 'Grafikbibliothek';
 $lang['Add a criteria'] = 'Ein Kriterium hinzufügen'; 
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = ' Sie können keine Standardsortierung festlegen da Sie eine benutzerdefinierte Einstellung in Ihrer lokalen Konfiguration festgelegt haben.';
@@ -773,5 +773,5 @@
 $lang['Learn more'] = 'Mehr Informationen';
 $lang['An error has occured during upgrade.'] = 'Ein Fehler trat während des Aktualisierens auf.';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ein Fehler trat während des Entpackens auf. Bitte prüfen Sie die Schreibrechte ihrer Piwigo Installation.<br><a href="%s">Klicken Sie hier für das Fehlerprotokoll</a>.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ein Fehler trat während des Entpackens auf. Bitte prüfen Sie die Schreibrechte Ihrer Piwigo-Installation. <br><a href="%s">Klicken Sie hier, um das Fehlerprotokoll einzusehen</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kann die Aktualisierungsdatei nicht vom Server laden';
 $lang['Zoom'] = 'Zoom';
@@ -779,9 +779,9 @@
 $lang['... or '] = '... oder';
 $lang['Allowed file types: %s.'] = 'Erlaubte Dateitypen: %s.';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standardmäßig erstellt Piwigo eine für Web optimierete Ansicht der HD-Version (hochaufgelösten Version) deines Fotos';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standardmäßig erstellt Piwigo eine für das Web optimierete Ansicht der HD-Version (hochaufgelösten Version) Ihres Fotos.';
 $lang['Confirm merge'] = 'Zusammenführen bestätigen';
 $lang['Create'] = 'Erstellen';
 $lang['hide details'] = 'Details verbergen';
-$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Wenn das Bild nicht HD (hochaufgelöst) ist und das Bild kleiner ist als die für Web optimierte Größe, verwendet Piwigo dieses als HD und erstellt eine verkleinerte Web optimierten Version';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Wenn das Bild nicht HD (hochaufgelöst) ist und das Bild kleiner ist als die für das Web optimierte Größe, verwendet Piwigo dieses als HD und erstellt eine verkleinerte weboptimierte Version.';
 $lang['Manage Permissions'] = 'Zugriff verwalten';
 $lang['Maximum file size: %sB.'] = 'Max. Dateigröße: %sB.';
@@ -849,5 +849,5 @@
 $lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Veröffentlichungsplugin für Lightroom';
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Der Piwigo Veröffentlichungsplugin erlaubt es Dir, Bilder direkt aus Lightroom mit Deiner Piwigo Galerie zu synchronisieren.';
-$lang['%u users have automatic permission because they belong to a granted group.'] = '%u Benutzer haben automatisch Zugriff weil sie zu einer Gruppe mit entsprechenden Zugriffrechten gehören.';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u Benutzer haben automatisch Zugriff, weil sie zu einer Gruppe mit entsprechenden Zugriffsrechten gehören.';
 $lang['any visitor can see this album'] = 'jeder Besucher kann das Album sehen';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture für Mac ist ein mächtiges Werkzeug um Bilder zu bearbeiten und grpße Sammlungen zu verwalten';
@@ -865,5 +865,5 @@
 $lang['There is no group in this gallery.'] = 'Es gibt keine Gruppe in dieser Gallery';
 $lang['visitors need to login and have the appropriate permissions to see this album'] = 'Besucher müssen sich einloggen um das Album zu sehen (Zugriffsrechte)';
-$lang['Delete multiple size images'] = 'Merhfache Bildgrößen löschen';
+$lang['Delete multiple size images'] = 'Mehrfache Bildgrößen löschen';
 $lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam ist ein fortschrittliches, kostenfreies Bildverwaltungsprogramm für Linux, Windows und MacOSX';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam ist für Photographen, die Bilder anschauen, verwalten, bearbeiten, verbessern, verschlagworten oder teilen wollen.';
@@ -876,5 +876,5 @@
 $lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell ist eine Open-Source Bildverwaltung für Linux. Es ist das standard Bildverwaltungsprogramm unter Ubuntu und Fedora.';
 $lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Um deine Bilder von didiKam nach Piwigo zu exportieren, installiere einfach digiKam mit den Kipi-Plugins';
-$lang['No group is permitted to see this private album'] = 'Keine Gruppe hat Zugriff um das private Album anzusehen';
+$lang['No group is permitted to see this private album'] = 'Keine Gruppe hat Zugriff, um das private Album anzusehen';
 $lang['Permission management'] = 'Zugriffsverwaltung';
 $lang['custom'] = 'Anpassung';