Index: trunk/language/pl_PL/admin.lang.php
===================================================================
--- trunk/language/pl_PL/admin.lang.php	(revision 16024)
+++ trunk/language/pl_PL/admin.lang.php	(revision 16031)
@@ -27,5 +27,5 @@
 $lang['%d albums including'] = '%d albumy zawierające';
 $lang['%d physical'] = '%d fizycznie';
-$lang[' and %d virtual'] = ' i %d wirtualnie';
+$lang[' and %d virtual'] = 'i %d wirtualny';
 $lang['%d album moved'] = '%d album przeniesiony';
 $lang['%d albums moved'] = '%d albumów przeniesionych';
@@ -548,10 +548,10 @@
 $lang['Tools'] = 'Narzędzia';
 $lang['Photos'] = 'Zdjęcia';
-$lang['Themes'] = 'Tematy';
+$lang['Themes'] = 'Szablony wyglądu ';
 $lang['Instructions to use Piwigo'] = 'Instrukcje używania Piwigo';
-$lang['Installed Themes'] = 'Zainstalowane Tematy';
-$lang['Add New Theme'] = 'Dodaj nowy temat';
-$lang['Forbid this theme to users'] = 'Zabroń używania tego tematu przez użytkowników';
-$lang['Set as default theme for unregistered and new users'] = 'Ustaw jako domyślny temat dla niezarejestrowanych użytkowników';
+$lang['Installed Themes'] = 'Zainstalowane szablony wyglądu ';
+$lang['Add New Theme'] = 'Dodaj nowy szablon wyglądu';
+$lang['Forbid this theme to users'] = 'Zabroń używania tego szablonu wyglądu przez użytkowników';
+$lang['Set as default theme for unregistered and new users'] = 'Ustaw jako domyślny szablon wyglądu dla niezarejestrowanych użytkowników';
 $lang['unknown'] = 'nieznany';
 $lang['Upload Photos'] = 'Wgrywanie zdjęć';
@@ -580,9 +580,9 @@
 $lang['Save Settings'] = 'Zapisz Ustawienia';
 $lang['Your configuration settings are saved'] = 'Twoje ustawienia konfiguracji zostały zapisane';
-$lang['Active Themes'] = 'Aktywne Tematy';
+$lang['Active Themes'] = 'Aktywne szablony wyglądu ';
 $lang['Add write access to the "%s" directory'] = 'Dodaj ustawienia do zapisu do katalogu "%s"';
 $lang['Administration Home'] = 'Administracja';
 $lang['Change Admin Colors'] = 'Zmień kolory administracyjne';
-$lang['Delete this theme'] = 'Usuń ten temat';
+$lang['Delete this theme'] = 'Usuń ten szablon wyglądu';
 $lang['Directory does not exist'] = 'Katalog nie istnieje';
 $lang['Download,'] = 'Pobierz,';
@@ -590,9 +590,9 @@
 $lang['Get Support on Piwigo Forum'] = 'Uzyskaj pomoc na forum Piwigo';
 $lang['Help Me'] = 'Pomóż Mi';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ten temat nie może zostać aktywowany, ponieważ brakuje tematu nadrzędnego: %s';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ten temat nie może zostać usunięty, ponieważ zależą od niego inne tematy: %s';
-$lang['Inactive Themes'] = 'Nieaktywne tematy';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ten szablon wyglądu nie może zostać aktywowany, ponieważ brakuje szablonu nadrzędnego: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ten szablon wyglądu nie może zostać usunięty, ponieważ zależą od niego inne szablony: %s';
+$lang['Inactive Themes'] = 'Nieaktywne szablony wyglądu ';
 $lang['Install on your computer,'] = 'Zainstaluj na swoim komputerze,';
-$lang['Make this theme available to users'] = 'Daj dostęp do tematu użytkownikom';
+$lang['Make this theme available to users'] = 'Daj dostęp do szablonu wyglądu użytkownikom';
 $lang['Page end'] = 'Koniec strony';
 $lang['Piwigo Uploader'] = 'Wgrywanie Piwigo';
@@ -600,5 +600,5 @@
 $lang['Start pLoader and add your photos.'] = 'Uruchom pLoader i dodaj swoje zdjęcia.';
 $lang['Switch to clear or dark colors for administration'] = 'Przełącz pomiędzy czystym i ciemnym kolorem administracji';
-$lang['Theme has been successfully installed'] = 'Temat został pomyślnie zainstalowany';
+$lang['Theme has been successfully installed'] = 'Szablon wyglądu został pomyślnie zainstalowany';
 $lang['Visit Gallery'] = 'Odwiedź galerię';
 $lang['Visit Piwigo project website'] = 'Odwiedź stronę projektu Piwigo';
@@ -619,7 +619,7 @@
 $lang['None'] = 'Brak';
 $lang['Invert'] = 'Odwróć';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nie można zdeaktywować tematy, ponieważ przynajmniej jeden musi być aktywny.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nie można zdezaktywować szablonu wyglądu, ponieważ przynajmniej jeden musi być aktywny.';
 $lang['Webmaster status is required.'] = 'Status Webmastera jest wymagany.';
-$lang['Bound Theme'] = 'Przypięty temat';
+$lang['Bound Theme'] = 'Powiązany szablon wyglądu ';
 $lang['Allow rating'] = 'Zezwól na oceny';
 $lang['Select at least one comment'] = 'Wybierz przynajmniej jeden komentarz';
@@ -643,10 +643,10 @@
 $lang['There is no other language available.'] = 'Nie ma dostępnego innego języka.';
 $lang['There is no other plugin available.'] = 'Nie ma dostępnej innej wtyczki.';
-$lang['There is no other theme available.'] = 'Nie ma dostępnego innego tematu.';
+$lang['There is no other theme available.'] = 'Nie ma dostępnego innego szablon wyglądu .';
 $lang['By rank'] = 'Po rankingu';
 $lang['Manual order'] = 'Własna kolejność';
 $lang['Add another set of photos'] = 'Dodaj inny zbiór zdjęć';
 $lang['Order of menubar items has been updated successfully.'] = 'Kolejność elementów paska menu została zaktualizowana pomyślnie.';
-$lang['This theme was not designed to be directly activated'] = 'Temat nie został zaprojektowany tak, by aktywować go bezpośrednio.';
+$lang['This theme was not designed to be directly activated'] = 'Szablon wyglądu nie został zaprojektowany tak, by aktywować go bezpośrednio.';
 $lang['Who can see this photo?'] = 'Kto może oglądać o zdjęcie?';
 $lang['Pending Comments'] = 'Oczekujące komentarze';
@@ -701,10 +701,10 @@
 $lang['Week starts on'] = 'Tydzień zaczyna się w';
 $lang['You have %d orphan tags: %s.'] = 'Masz %d niepowiązanych tagów: %s.';
-$lang['Themes which need upgrade'] = 'Tematy wymagające aktualizacji';
+$lang['Themes which need upgrade'] = 'Szablony wyglądu wymagające aktualizacji';
 $lang['Languages which need upgrade'] = 'Języki wymagające aktualizacji';
-$lang['All themes are up to date.'] = 'Wszystkie tematy są aktualne.';
+$lang['All themes are up to date.'] = 'Wszystkie szablony wyglądu są aktualne.';
 $lang['All plugins are up to date.'] = 'Wszystkie wtyczki są aktualne.';
 $lang['All languages are up to date.'] = 'Wszystkie języki są aktualne.';
-$lang['Visit theme site'] = 'Odwiedź stronę temetu';
+$lang['Visit theme site'] = 'Odwiedź stronę szablonu wyglądu';
 $lang['Visit language site'] = 'Odwiedź stronę języka';
 $lang['New Version'] = 'Nowa wersja';
@@ -746,5 +746,5 @@
 $lang['All extensions are up to date.'] = 'Wszystkie rozszerzenia są aktualne.';
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Poniższe rozszerzenia mogą być nieaktualne z nową wersją Piwigo:';
-$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Poniższe tematy mogą być nieaktualne z nową wersją Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Poniższe szablony wyglądu mogą być nieaktualne z nową wersją Piwigo:';
 $lang['I decide to update anyway'] = 'Aktualizuj mimo wszystko';
 $lang['Update to Piwigo %s'] = 'Aktualizuj do Piwigo %s';
@@ -752,5 +752,5 @@
 $lang['This is a minor update, with only bug corrections.'] = 'Jest to mała aktualizacja usuwająca tylko znalezione błędy.';
 $lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Jest to duża aktualizacja z <a href="%s">nowymi funkcjami</a>.';
-$lang['Some themes and plugins may be not available yet.'] = 'Niektóre tematy i rozszerzenia mogą nie być jeszcze dostępne.';
+$lang['Some themes and plugins may be not available yet.'] = 'Niektóre szablony wyglądu i rozszerzenia mogą nie być jeszcze dostępne.';
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Możesz aktualizować bezpośrednio do Piwigo %s, bez potrzeby wcześniejszej aktualizacji do wersji %s (zalecane).';
 $lang['Save Template Directory'] = 'Zachowaj katalog szablonów';
@@ -841,5 +841,5 @@
 $lang['Save manual order'] = 'Zapisz własne ustawienia kolejności';
 $lang['visitors need to login and have the appropriate permissions to see this album'] = 'odwiedzający galerię muszą się zalogować i mieć uprawnienia do oglądania tego albumu';
-$lang['You can activate only one mobile theme.'] = 'Możesz aktywować tylko jeden temat mobilny';
+$lang['You can activate only one mobile theme.'] = 'Możesz aktywować tylko jeden mobilny szablon wyglądu';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u użytkowników dostało zezwolenie automatycznie, bo należą do grupy, której udzielono zezwolenia';
 $lang['custom'] = 'Własne';
@@ -915,5 +915,5 @@
 $lang['Visited %d times'] = 'Odwiedzone %s razy';
 $lang['Watermark'] = 'Znak wodny';
-$lang[' and %d virtuals'] = 'i %d wirtualna';
+$lang[' and %d virtuals'] = 'i %d wirtualnych';
 $lang['%d physicals'] = '%d fizycznych';
 $lang['%d week'] = '%d tydzień';