Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 16036)
+++ /trunk/language/fa_IR/common.lang.php	(revision 16037)
@@ -38,6 +38,6 @@
 $lang['%d album updated'] = "%d آلبوم بروزرسانی شد";
 $lang['%d albums updated'] = "%d آلبوم بروزرسانی شدند";
-$lang['%d comment to validate'] = "%d دیدگاه منتظر تایید است.";
-$lang['%d comments to validate'] = "%d دیدگاه منتظر تایید هستند.";
+$lang['%d comment to validate'] = '%d دیدگاه در انتظار پذیرش است.';
+$lang['%d comments to validate'] = '%d دیدگاه در انتظار پذیرش هستند.';
 $lang['%d new comment'] = "%d دیدگاه تازه";
 $lang['%d new comments'] = "%d دیدگاه تازه";
@@ -59,5 +59,5 @@
 $lang['Close this window'] = "بستن این پنجره";
 $lang['Complete RSS feed (photos, comments)'] = 'خوراک RSS کامل (عکس ها و دیدگاه ها)';
-$lang['Confirm Password'] = "تایید گذرواژه";
+$lang['Confirm Password'] = 'پذیرش گذرواژه';
 $lang['Connection settings'] = "تنظیمات اتصال";
 $lang['Login'] = "ورود";
@@ -144,6 +144,6 @@
 $lang['Your comment has been registered'] = "دیدگاه شما در سیستم ثبت شد";
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = "سیستم ضد هرزنامه: خواهشمندم قبل از فرستادن دوباره ی دیدگاه چند لحظه شکیبا باشید";
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = "دیدگاه شما در سیستم ثبت نشد زیرا قوانین آن تأیید نشد";
-$lang['An administrator must authorize your comment before it is visible.'] = 'یک مدیر باید دیدگاه شما را تایید کند تا قابل نمایش شود.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'دیدگاه شما در سیستم ثبت نشد زیرا با قوانین پذیرش سازگار نیست';
+$lang['An administrator must authorize your comment before it is visible.'] = 'یک مدیر باید دیدگاه شما را بپذیرد تا قابل نمایش شود.';
 $lang['This login is already used by another user'] = "این نام کاربری برای کاربر دیگری ثبت شده است";
 $lang['Comments'] = "دیدگاه ها";
@@ -265,5 +265,5 @@
 $lang['stop the slideshow'] = "توقف اسلاید";
 $lang['Specials'] = "پنل ویژه";
-$lang['SQL queries in'] = "SQL queries in";
+$lang['SQL queries in'] = 'معیار های SQL در';
 $lang['display only recently posted photos'] = "فقط آخرین عکس های فرستاده شده را نمایش بده";
 $lang['return to the display of all photos'] = "بازگشت به نمایش همه ی عکس ها";
@@ -321,5 +321,5 @@
 $lang['Edit a comment'] = "ویرایش یک دیدگاه";
 $lang['Are you sure?'] = "مطمئن هستید ؟";
-$lang['(!) This comment requires validation'] = '(!) این دیدگاه نیاز به تایید دارد';
+$lang['(!) This comment requires validation'] = '(!) این دیدگاه نیاز به پذیرفته شدن دارد';
 $lang['Welcome'] = 'خوش آمدید';
 $lang['Welcome to your Piwigo photo gallery!'] = 'به گالری عکس Piwigo خود خوش آمدید!';
@@ -335,5 +335,5 @@
 $lang['%d rates'] = '%d امتیاز';
 $lang['Change my password'] = 'ویرایش گذرواژه';
-$lang['Check your email for the confirmation link'] = 'برای مشاهده ی لینک تأیید ایمیل خود را چک کنید';
+$lang['Check your email for the confirmation link'] = 'برای مشاهده ی لینک پذیرش ایمیل خود را چک کنید';
 $lang['Download this file'] = 'دانلود این فایل';
 $lang['Download'] = 'دانلود';
@@ -364,5 +364,5 @@
 
 $lang['Hello %s,'] = 'درود %s،';
-$lang['2small'] = 'XXS - ';
+$lang['2small'] = 'XXS - ریز';
 $lang['Date created, new &rarr; old'] = 'تاریخ ایجاد، تازه &rarr; قدیمی';
 $lang['Date created, old &rarr; new'] = 'تاریخ ایجاد، قدیمی &rarr; تازه';
@@ -400,12 +400,12 @@
 $lang['day']['2'] = 'سه شنبه';
 $lang['day']['4'] = 'پنج شنبه';
-$lang['large'] = 'L - ';
-$lang['medium'] = 'M - ';
-$lang['small'] = 'S - ';
+$lang['large'] = 'L - بزرگ';
+$lang['medium'] = 'M - متوسط';
+$lang['small'] = 'S - کوچک';
 $lang['square'] = 'مربع';
 $lang['thumb'] = 'عکس بندانگشتی';
-$lang['xlarge'] = 'XL - ';
-$lang['xsmall'] = 'XS - ';
-$lang['xxlarge'] = 'XXL - ';
+$lang['xlarge'] = 'XL - بسیار بزرگ';
+$lang['xsmall'] = 'XS - بسیار کوچک';
+$lang['xxlarge'] = 'XXL - بزرگترین';
 $lang['%d rate'] = '%d امتیاز';
 $lang['Bad request'] = 'درخواست اشتباه';