Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 16038)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 16039)
@@ -40,11 +40,11 @@
 $lang['%d user comment rejected'] = '%d دیدگاه کاربر رد شد';
 $lang['%d user comments rejected'] = '%d دیدگاه کاربر رد شدند';
-$lang['%d user comment validated'] = '%d دیدگاه کاربر تایید شد';
-$lang['%d user comments validated'] = '%d دیدگاه کاربر تایید شدند';
+$lang['%d user comment validated'] = '%d دیدگاه کاربر پذیرفته شد';
+$lang['%d user comments validated'] = '%d دیدگاه کاربر پذیرفته شدند';
 $lang['%d user deleted'] = '%d کاربر پاک شد';
 $lang['%d users deleted'] = '%d کاربر پاک شدند';
 $lang['%d user'] = "%d کاربر";
 $lang['%d users'] = "%d کاربر";
-$lang['%d waiting for validation'] = '%d در انتظار تایید هستند';
+$lang['%d waiting for validation'] = '%d در انتظار پذیرش هستند';
 $lang['Actions'] = 'کار ها';
 $lang['Activate'] = 'فعال کردن';
@@ -80,6 +80,6 @@
 $lang['Edit tags'] = 'ویرایش برچسب ها';
 $lang['Email admins when a new user registers'] = 'فرستادن ایمیل به مدیران هنگامی که یک کاربر تازه نام نویسی می کند';
-$lang['Email admins when a valid comment is entered'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه تایید شده وارد سیستم می شود';
-$lang['Email admins when a comment requires validation'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه نیاز به تایید دارد';
+$lang['Email admins when a valid comment is entered'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه پذیرفته شده وارد سیستم می شود';
+$lang['Email admins when a comment requires validation'] = 'فرستادن ایمیل به مدیران هنگامی که یک دیدگاه نیاز به پذیرش دارد';
 $lang['Environment'] = 'محیط (Environment)';
 $lang['Form'] = "فرم";
@@ -161,5 +161,5 @@
 $lang['Uninstall'] = 'پاک کردن';
 $lang['Use the default photo sort order (defined in the configuration file)'] = 'استفاده از مرتب سازی پیشفرض برای عکس (پیشفرض در فایل تنظیمات است)';
-$lang['User comments validation'] = 'تایید دیدگاه های کاربر';
+$lang['User comments validation'] = 'پذیرفتن دیدگاه های کاربر';
 $lang['Users'] = "کاربران";
 $lang['Validate'] = "تایید";
@@ -172,5 +172,5 @@
 $lang['You cannot delete your account'] = 'شما نمی توانید حساب خود را پاک کنید';
 $lang['You cannot move an album in its own sub album'] = 'شما نمی توانید آلبوم مادر را به زیر آلبوم خودش جابجا کنید';
-$lang['You need to confirm deletion'] = 'شما باید پاک کردن را تایید کنید';
+$lang['You need to confirm deletion'] = 'شما باید پاک کردن را بپذیرید';
 $lang['Associate to album'] = 'پیوستن به آلبوم';
 $lang['associate to group'] = "پیوستن به گروه";
@@ -194,5 +194,5 @@
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'تعداد دیدگاه ها در هر صفحه باید عددی بین 5 تا 50 باشد.';
 $lang['Configuration'] = "پیکربندی";
-$lang['confirm'] = "تایید";
+$lang['confirm'] = 'پذیرفتن';
 $lang['Date'] = "تاریخ";
 $lang['delete album'] = 'پاک کردن آلبوم';
@@ -464,5 +464,5 @@
 $lang['Uncheck all'] = "برداشتن علامت همه";
 $lang['Check automatic corrections'] = 'بررسی خودکار اصلاحات';
-$lang['Apply selected corrections'] = "تایید اصلاحات انتخاب شده";
+$lang['Apply selected corrections'] = 'پذیرش اصلاحات انتخاب شده';
 $lang['Ignore selected anomalies'] = 'چشم پوشی از ناهنجاری های انتخاب شده';
 $lang['Refresh'] = 'تازه کردن (Refresh)';
@@ -478,5 +478,5 @@
 $lang['Are you sure you want to delete this plugin?'] = 'مطمئن هستید که ‌می خواهید این افزونه را پاک کنید؟';
 $lang['Are you sure you want to install this plugin?'] = 'مطمئن هستید که ‌می خواهید این افزونه را نصب کنید؟';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'شما مطمئن هستید که می خواهید این آپگرید را نصب کنید؟ شما باید این را تایید کنید زیرا ممکن است نیاز به پاک کردن افزونه ای باشد.';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'شما مطمئن هستید که می خواهید این آپگرید را نصب کنید؟ شما باید این را بپذیرید زیرا ممکن است نیاز به پاک کردن افزونه ای باشد.';
 $lang['Plugin has been successfully copied'] = 'افزونه با موفقیت کپی شد';
 $lang['You might go to plugin list to install and activate it.'] = 'برای نصب یا از کار انداختن این افزونه به لیست افزونه ها بروید.';
@@ -652,5 +652,5 @@
 $lang['Order of menubar items has been updated successfully.'] = 'ترتیب آیتم های منو با موفقیت بروز شد.';
 $lang['This theme was not designed to be directly activated'] = 'این قالب برای فعال کردن مستقیم طراحی نشده است';
-$lang['Pending Comments'] = 'دیدگاه های در انتظار تایید';
+$lang['Pending Comments'] = 'دیدگاه های در انتظار پذیرفته شدن';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'در فایل php.ini شما،  مقدار upload_max_filesize (%sB) از post_max_size (%sB) بزرگتر است، شما باید این تنظیمات را تغییر دهید.';
 $lang['Exif extension not available, admin should disable exif use'] = 'توسعه دهنده ی Exif در دسترس نیست، مدیرکل باید استفاده از exif را متوقف کند';
@@ -774,5 +774,5 @@
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'بطور پیشفرض، Piwigo یک وب سایز (Websize) تازه از حالت HD عکس شما ایجاد می کند.';
 $lang['Cancel'] = 'لغو';
-$lang['Confirm merge'] = 'تایید ادغام';
+$lang['Confirm merge'] = 'پذیرش ادغام';
 $lang['Default comments order'] = 'ترتیب پیشفرض برای دیدگاه ها';
 $lang['Default photos order'] = 'ترتیب پیشفرض برای عکس ها';
@@ -819,5 +819,5 @@
 $lang['custom'] = 'سفارشی';
 $lang['modified'] = 'ویرایش شد';
-$lang['pending validation'] = 'در انتظار تایید است';
+$lang['pending validation'] = 'در انتظار پذیرش است';
 $lang['registered users'] = 'کاربران';
 $lang['simple visitors'] = 'مهمان';
@@ -860,6 +860,6 @@
 $lang['%s in the future'] = '%s بعد';
 $lang['Applications'] = 'برنامه های کاربردی (Application)';
-$lang['Apply watermark if height is bigger than'] = 'تأیید چاپ سپید (Watermark) فقط در زمانی که بلندا بیشتر باشد از';
-$lang['Apply watermark if width is bigger than'] = 'تأیید چاپ سپید (Watermark) فقط در زمانی که پهنا بیشتر باشد از';
+$lang['Apply watermark if height is bigger than'] = 'استفاده از چاپ سپید (Watermark) فقط در زمانی که بلندا بیشتر باشد از';
+$lang['Apply watermark if width is bigger than'] = 'استفاده از چاپ سپید (Watermark) فقط در زمانی که پهنا بیشتر باشد از';
 $lang['Automatic sort order'] = 'تنظیم کردن با ترتیب خودکار';
 $lang['Edit photo'] = 'ویرایش عکس';
@@ -879,5 +879,5 @@
 $lang['You can activate only one mobile theme.'] = 'شما فقط می توانید یک قالب برای موبایل فعال کنید.';
 $lang['add a new watermark'] = 'اضافه کردن یک چاپ سپید (Watermark) تازه';
-$lang['apply automatic sort order'] = 'تأیید تنظیم با ترتیب خودکار';
+$lang['apply automatic sort order'] = 'استفاده از ترتیب خودکار';
 $lang['bottom left corner'] = 'گوشه ی پایین سمت چپ';
 $lang['bottom right corner'] = 'گوشه ی پایین سمت راست';