Index: /extensions/PersoFavicon/language/pt_PT/description.txt
===================================================================
--- /extensions/PersoFavicon/language/pt_PT/description.txt	(revision 16046)
+++ /extensions/PersoFavicon/language/pt_PT/description.txt	(revision 16046)
@@ -0,0 +1,1 @@
+Susbstituir o Favicon Piwigo por um personalizado
Index: /extensions/PersoFavicon/language/pt_PT/index.php
===================================================================
--- /extensions/PersoFavicon/language/pt_PT/index.php	(revision 16046)
+++ /extensions/PersoFavicon/language/pt_PT/index.php	(revision 16046)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/pt_PT/plugin.lang.php	(revision 16046)
+++ /extensions/PersoFavicon/language/pt_PT/plugin.lang.php	(revision 16046)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['help'] = 'Ajuda';
+$lang['pfi_actu2'] = 'AVISO: Ele será substituído pela notícia de que você descarregou';
+$lang['pfi_actu'] = 'Um icone está presente no diretório local';
+$lang['pfi_aide1T'] = 'Adicionar formulário';
+$lang['pfi_aide1'] = 'Você pode adicionar um favicon usando o formulário para adicionar, será automaticamente na renomeado favicon.ico e substituirá o eventualmente existente no diretório local. <br> Tamanho máximo de 5kb . <br> Dependendo do navegador. ';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'Se faz o upload via FTP de um ícone que tem outro nome como favicon, você pode adicionar no local de configuração <br>$conf [\'PersoFavicon\'] = \'nome do arquivo\'';
+$lang['pfi_ajout'] = 'Adicionar um icone';
+$lang['pfi_envoie'] = 'Carregar no diretório local';
+$lang['pfi_erreur_exist'] = 'O arquivo foi substiruído';
+$lang['pfi_erreur_ext'] = 'Deve carregar um arquivo tipo .ico';
+$lang['pfi_erreur_mouve'] = 'Incapaz de copiar o arquivo no diretório local';
+$lang['pfi_erreur_nom'] = 'Nome do arquivo inválido';
+$lang['pfi_erreur_taille'] = 'Deverá carregar um arquivo com 5 kb no máximo';
+$lang['pfi_erreur_vide'] = 'O arquivo não foi encontrado';
+$lang['pfi_h2'] = 'Extenção Favicon Personalizado';
+$lang['pfi_ok'] = 'O arquivo foi carregado';
+$lang['pfi_select'] = 'Selecione o icone (.ico)';
+$lang['pfi_validdef'] = 'Confirme a sua escolha - Se existe algum, será substituído pelo favicon actual.';
+?>