Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 16053)
+++ /trunk/language/de_DE/admin.lang.php	(revision 16054)
@@ -61,5 +61,5 @@
 $lang['Caddie'] = 'Sammelkorb';
 $lang['Albums authorized thanks to group associations'] = 'Für Alben freigeschaltet durch Gruppenzugehörigkeit';
-$lang['Album manual order was saved'] = 'Albumreihenfolgen wurde gespeichert';
+$lang['Album manual order was saved'] = 'Albumreihenfolge wurde gespeichert';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Suche nach einem Upgrade nicht möglich.';
 $lang['Check for upgrade'] = 'Prüfe, ob eine neue Version der Bildergalerie verfügbar ist.';
@@ -80,6 +80,6 @@
 $lang['Edit selected tags'] = 'Bearbeite markierte Stichworte';
 $lang['Edit tags'] = 'Bearbeite Stichworte';
-$lang['Email admins when a new user registers'] = 'sende eine Email an den(die) Adminstrator(en) wenn sich ein neuer Benutzer registriert hat';
-$lang['Email admins when a valid comment is entered'] = 'sende eine Email an den(die) Adminstrator(en) wenn ein Kommentar hinterlassen wurde';
+$lang['Email admins when a new user registers'] = 'Sende eine E-Mail an die Adminstratoren, wenn sich ein neuer Benutzer registriert hat';
+$lang['Email admins when a valid comment is entered'] = 'Sende eine E-Mail an die Adminstratoren, wenn ein Kommentar hinterlassen wurde';
 $lang['Email admins when a comment requires validation'] = 'sende eine Email an den(die) Adminstrator(en) wenn ein Kommentar die Freischaltung durch den Admin erfordert';
 $lang['Environment'] = 'Server-Daten';
@@ -122,5 +122,5 @@
 $lang['Path'] = 'Pfad';
 $lang['Permalink'] = 'Permalink';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalink %s wurde vorher dem Album %s zugewiesen. Lösche ihn zuerst aus der History';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalink %s wurde bereits dem Album %s zugewiesen. Löschen Sie ihn zuerst aus der History';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Ein Permalink darf nur aus folgenden Zeichen bestehen: a-z, A-Z, 0-9, "-" or "_". Er darf nicht nur aus Zahlen bestehen oder mit einer Zahl beginnen mit einem darauffolgenden "-"';
 $lang['Permalink %s is already used by album %s'] = 'Permalink %s wird zurzeit vom Album %s benutzt';
@@ -137,5 +137,5 @@
 $lang['Random photo'] = 'Zufälliges Foto';
 $lang['Rate date'] = 'Bewertungsdatum';
-$lang['Rating by guests'] = 'Erlaube Bewertung(en) durch Gäste';
+$lang['Rating by guests'] = 'Erlaube Bewertungen durch Gäste';
 $lang['Rating'] = 'Bewertungen';
 $lang['Reject'] = 'abweisen';
@@ -184,5 +184,5 @@
 $lang['Public'] = 'Öffentlich';
 $lang['Find a new representant by random'] = 'Bestimme ein neues zufälliges Vorschaubild';
-$lang['Public / Private'] = 'Öffentlich / Privat';
+$lang['Public / Private'] = 'Öffentlich/Privat';
 $lang['Manage authorizations for selected albums'] = 'Zugriffsrechte durch private Alben verwalten';
 $lang['Virtual album added'] = 'Virtuelles Album hinzugefügt';
@@ -242,5 +242,5 @@
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Der Webmaster hat dich für die E-Mailbenachrichtigung ausgetragen';
 $lang['You have unsubscribed from receiving notifications by mail.'] = 'Sie haben sich ausgetragen für die Benachrichtigung per E-Mail';
-$lang[', click on'] = ', klicke auf diesen Link:';
+$lang[', click on'] = ',klicke auf diesen Link:';
 $lang['To unsubscribe'] = 'Zum austragen';
 $lang['With blank value, gallery title will be used'] = 'Bei leerem Inhalt wird der Galerietitel benutzt';
@@ -255,5 +255,5 @@
 $lang['There is no available subscribers to mail.'] = 'Kein Benutzer verfügbar um eine E-Mail zu senden.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Ein Benutzer ist dann auswählbar wenn es neue Fotos gibt.';
-$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Wenn niemand in der Mailingliste eingetragen ist, kannst du keine E-Mails versenden. (Nur der Webmaster erscheint bei Aktualisierungen in dieser Liste).';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Wenn niemand in der Mailingliste eingetragen ist, können keine E-Mails versendet werden. (Nur der Webmaster erscheint bei Aktualisierungen in dieser Liste).';
 $lang['No user to send notifications by mail.'] = 'Kein Benutzer da, um Aktualisierungen zu senden.';
 $lang['New photos added'] = 'Neue Fotos hinzugefügt';
@@ -347,5 +347,5 @@
 $lang['Choose an option'] = 'Eine Option auswählen';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'zeige alle Informationen (hinzugefügte Alben und Fotos, gelöschte Alben und Fotos)';
-$lang['Error list'] = 'Error Liste';
+$lang['Error list'] = 'Error-Liste';
 $lang['Errors caption'] = 'Fehlerüberschrift';
 $lang['Detailed informations'] = 'Detallierte Informationen';
@@ -363,5 +363,5 @@
 $lang['added'] = 'hinzugefügt';
 $lang['deleted'] = 'gelöscht';
-$lang['Metadata synchronization results'] = 'Metadata Synchronisierung Ergebnisse';
+$lang['Metadata synchronization results'] = 'Ergebnisse der Metadaten-Synchronisierung';
 $lang['only perform a simulation (no change in database will be made)'] = 'nur Simulation (es werden keine Änderungen in der Datenbank vorgenommen)';
 $lang['Simulation'] = 'Simulation';
@@ -432,12 +432,12 @@
 $lang['%d anomalies have been detected.'] = '%d Anomalien festgestellt wurden.';
 $lang['%d anomaly has been corrected.'] = '%d Anomalie wurde behoben.';
-$lang['%d anomalies have been detected corrected.'] = '%d Anomalien wurde behoben.';
+$lang['%d anomalies have been detected corrected.'] = '%d Anomalien wurden behoben.';
 $lang['%d anomaly has not been corrected.'] = '%d Anomalie konnte nicht behoben werden.';
-$lang['%d anomalies have not been corrected.'] = '%d Anomalien konnte nicht behoben werden.';
-$lang['Go to %s or %s for more informations'] = 'Gehen Sie %s oder %s für weitere Informationen';
+$lang['%d anomalies have not been corrected.'] = '%d Anomalien konnten nicht behoben werden.';
+$lang['Go to %s or %s for more informations'] = 'Gehen Sie zu %s oder %s für weitere Informationen';
 $lang['the forum'] = 'das Forum';
 $lang['the wiki'] = 'das wiki';
 $lang['%s value is not correct file because exif are not supported'] = 'Der Wert %s ist nicht korrekt, weil Exif nicht unterstützt wird';
-$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s muss auf "false" in Ihrer Datei config_local.inc.php';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s muss auf "false" in Ihrer Server-Datei local/config/config.inc.php gesetzt werden';
 $lang['Main "guest" user does not exist'] = 'Der Benutzer "Gast" Haupt nicht mehr';
 $lang['Main "guest" user status is incorrect'] = 'Der Status der Benutzer "Gast" ist falsch';
@@ -463,10 +463,10 @@
 $lang['Check all'] = 'Alle auswählen';
 $lang['Uncheck all'] = 'Alles entfernen';
-$lang['Check automatic corrections'] = 'Überprüfen Sie automatische Korrekturen';
-$lang['Apply selected corrections'] = 'Die entsprechenden ausgewählten';
+$lang['Check automatic corrections'] = 'Überprüfen Sie die automatischen Korrekturen';
+$lang['Apply selected corrections'] = 'Nehme die ausgewählten Korrekturen vor';
 $lang['Ignore selected anomalies'] = 'Ignorieren Sie gewählte Anomalien';
 $lang['Refresh'] = 'Aktualisieren';
 $lang['The anomaly will be ignored until next application version'] = 'Der Fehler wird ignoriert bis die nächste Version der Anwendung';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Die Korrektur der Anomalie macht die Tatsache sie ignoriert ist';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Die korrigierte Anomalie wird nicht mehr ignoriert';
 $lang['%d anomaly has been ignored.'] = '%d Anomalie ignoriert wurde.';
 $lang['%d anomalies have been ignored.'] = '%d Anomalien ignoriert wurden.';
@@ -481,9 +481,9 @@
 $lang['Plugin has been successfully copied'] = 'Das Plugin wurde erfolgreich installiert.';
 $lang['You might go to plugin list to install and activate it.'] = 'Gehen Sie in die "Liste der Plugins" um installierte Plugins zu aktivieren.';
-$lang['Can\'t create temporary file.'] = 'Temporäre Datei kann nicht erstellt .';
+$lang['Can\'t create temporary file.'] = 'Temporäre Datei kann nicht erstellt.';
 $lang['Can\'t download archive.'] = 'Kann Archiv nicht downloaden.';
 $lang['Can\'t read or extract archive.'] = 'Kann das Archiv nicht lesen oder entpacken.';
-$lang['An error occured during extraction (%s).'] = 'Fehler beim entpacken des Archives(%s).';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Überprüfen Sie die Berechtigungen des Ordners "Plugins" und dessen Unterordner (CHMOD).';
+$lang['An error occured during extraction (%s).'] = 'Fehler beim Entpacken des Archivs(%s).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Überprüfen Sie die Zugriffsrechte des Ordners "plugins" und seiner Unterordner (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Es konnte keine Verbindung zum Server hergestellt werden.';
 $lang['Purge compiled templates'] = 'Löschen der kompilierten Templates';
@@ -509,5 +509,5 @@
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Ersetzen von Originalvorlagen durch angepasste Vorlagen im Ordner template-extension';
 $lang['Replacers (customized templates)'] = 'Replacer (angepasste Vorlagen)';
-$lang['Original templates'] = 'Originales Templates';
+$lang['Original templates'] = 'Original-Templates';
 $lang['Optional URL keyword'] = 'Optionale Parameter in der URL';
 $lang['Templates configuration has been recorded.'] = 'Die Konfiguration der Templates gespeichert wurde.';
@@ -522,5 +522,5 @@
 $lang['Images manual order was saved'] = 'Die manuelle Reihenfolge der Bilder wurde gespeichert';
 $lang['ranks'] = 'Reihenfolge';
-$lang['Drag to re-order'] = 'Klicken und Ziehen um eine neue Reihenfolge festzulegen';
+$lang['Drag to re-order'] = 'Klicken und Ziehen, um eine neue Reihenfolge festzulegen';
 $lang['Quick Local Synchronization'] = 'Schnelle Synchronisierung';
 $lang['No photo can be deleted'] = 'Kein Foto kann gelöscht werden';
@@ -534,5 +534,5 @@
 
 // --------- Starting below: New or revised $lang ---- from Colibri
-$lang['Piwigo Announcements Newsletter'] = 'Piwigo Newsletter';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo-Newsletter';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Abonnieren sie den Piwigo-Newsletter. Sie erhalten E-Mails, wenn eine neue Version von Piwigo bereitsteht oder wichtige Sicherheits-Updates erschienen sind. Sie werden über bedeutende Ereignisse rund um das Piwigo-Projekt informiert. Es erscheinen nur wenige Newsletter im Jahr.';
 $lang['Subscribe %s'] = 'Abonnieren %s';
@@ -541,7 +541,7 @@
 $lang['Hide'] = 'Verstecken';
 $lang['Operation in progress'] = 'Arbeite daran.';
-$lang['Please wait...'] = 'Bitte warten...';
-$lang['Password is missing. Please enter the password.'] = 'Das Kennwort fehlt. Bitte geben sie ihr Kennwort ein.';
-$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Das Kennwort zum überprüfen fehlt. Bitte geben Sie ihr gewähltes Kennwort noch einmal ein.';
+$lang['Please wait...'] = 'Bitte warten ...';
+$lang['Password is missing. Please enter the password.'] = 'Das Kennwort fehlt. Bitte geben Sie Ihr Kennwort ein.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Das Kennwort zum Überprüfen fehlt. Bitte geben Sie ihr gewähltes Kennwort noch einmal ein.';
 $lang['Allow users to edit their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu editieren';
 $lang['Allow users to delete their own comments'] = 'Erlaube Benutzern ihre eigenen Kommentare zu löschen';
@@ -561,7 +561,7 @@
 $lang['Upload Photos'] = 'Lade Fotos hoch';
 $lang['Drop into album'] = 'In das Album hochladen';
-$lang['+ Add an upload box'] = '+ eine weitere Uploadbox';
+$lang['+ Add an upload box'] = '+ Füge eine weitere Uploadbox hinzu';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Erstelle den "%s" Ordner im Hauptordner (root) Ihrer Piwigo-Installation';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Gebe Schreibrechte (chmod 777) dem Ordner "%s" im Hauptordner (root) deiner Piwigoinstallation';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Geben Sie dem Ordner "%s" im Hauptordner (root) Ihrer Piwigo-Installation Schreibrechte (chmod 777)';
 $lang['existing album'] = 'Existierendes Album';
 $lang['create a new album'] = 'Ein neues Album erstellen';
@@ -594,5 +594,5 @@
 $lang['FTP + Synchronization'] = 'FTP + Synchronisieren';
 $lang['Get Support on Piwigo Forum'] = 'Bekomme Hilfe im Piwigo-Forum';
-$lang['Help Me'] = 'Hilf mir';
+$lang['Help Me'] = 'Hilfe';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Es ist nicht möglich, dieses Thema zu aktivieren, da das Elternthema %s fehlt';
 $lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Es ist nicht möglich, dieses Thema zu löschen; andere Themen basieren darauf: %s';
@@ -601,6 +601,6 @@
 $lang['Make this theme available to users'] = 'Stelle dieses Thema den Benutzern zur Verfügung';
 $lang['Page end'] = 'Ende der Seite';
-$lang['Piwigo Uploader'] = 'Piwigo Uploader';
-$lang['Read Piwigo Documentation'] = 'Lese die Piwigo Dokumentation';
+$lang['Piwigo Uploader'] = 'Piwigo-Uploader';
+$lang['Read Piwigo Documentation'] = 'Lese die Piwigo-Dokumentation';
 $lang['Start pLoader and add your photos.'] = 'Starte pLoader und füge deine Fotos hinzu.';
 $lang['Switch to clear or dark colors for administration'] = 'Wechsle zwischen hellen und dunklen Farben für die Administration';
@@ -659,6 +659,6 @@
 $lang['Pending Comments'] = 'Freizugebende Kommentare';
 $lang['Menu Management'] = 'Menü';
-$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'In Ihrer php.ini Datei ist der upload_max_filesize (%sB) größer als post_max_size (%sB), Sie sollten diese Einstellung ändern';
-$lang['Exif extension not available, admin should disable exif use'] = 'Exif Erweiterung nicht verfügbar, der Admin sollte die Exif-Verwendung deaktivieren';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'In Ihrer php.ini Datei ist der upload_max_filesize (%sB) größer als post_max_size (%sB). Sie sollten diese Einstellung ändern';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif-Erweiterung nicht verfügbar, der Administrator sollte die Exif-Verwendung deaktivieren';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Die hochgeladene Datei überschreitet die upload_max_filesize Einstellung in der php.ini: %sB';
 $lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Die hochgeladenen Dateien überschreiten die post_max_size Einstellung in php.ini: %sB';
@@ -667,5 +667,5 @@
 $lang['No file was uploaded'] = 'Keine Datei wurde hochgeladen';
 $lang['Missing a temporary folder'] = 'Ein temporärer Ordner wird vermisst';
-$lang['Failed to write file to disk'] = 'Es ist nicht möglich die Datei zu schreiben';
+$lang['Failed to write file to disk'] = 'Es ist nicht möglich, die Datei zu schreiben';
 $lang['File upload stopped by extension'] = 'Das Hochladen der Datei wurde infolgedessen gestoppt';
 $lang['Unknown upload error'] = 'Unbekannter Fehler beim hochladen';
@@ -704,5 +704,5 @@
 $lang['Delete orphan tags'] = 'Lösche nicht benutzte Stichworte';
 $lang['delete photo'] = 'lösche Foto';
-$lang['Orphan tags deleted'] = 'Nichtbenutzte Stichworte wurden gelöscht';
+$lang['Orphan tags deleted'] = 'Nicht benutzte Stichworte wurden gelöscht';
 $lang['Week starts on'] = 'Die Woche beginnt mit';
 $lang['You have %d orphan tags: %s.'] = 'Sie haben %d nichtbenutzte Stichworte: %s.';
@@ -711,5 +711,5 @@
 $lang['Languages which need upgrade'] = 'Sprachen, die ein Update brauchen';
 $lang['All themes are up to date.'] = 'Alle Themen sind auf dem neuesten Stand.';
-$lang['All plugins are up to date.'] = 'Alle Plug-ins sind auf dem neuesten Stand.';
+$lang['All plugins are up to date.'] = 'Alle Plugins sind auf dem neuesten Stand.';
 $lang['All languages are up to date.'] = 'Alle Sprachen sind auf dem neuesten Stand.';
 $lang['Visit theme site'] = 'Die Themenseite besuchen';
@@ -723,5 +723,5 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: DIESES PLUGIN FEHLT, OBWOHL ES INSTALLIERT IST! BITTE UNBEDINGT DEINSTALLIEREN! ';
 $lang['Thumbnails generation in progress...'] = 'Vorschaubilder werden neu erstellt...';
-$lang['Photos generation in progress...'] = 'Fotos werden neu erstellt...';
+$lang['Photos generation in progress...'] = 'Fotos werden neu erstellt ...';
 $lang['%s photos have been regenerated'] = '%s Fotos wurden neu erstellt';
 $lang['%s photos can not be regenerated'] = '%s Fotos konnten nicht neu erstellt werden';
@@ -743,5 +743,5 @@
 $lang['ERROR'] = 'FEHLER';
 $lang['Update Complete'] = 'Aktualisierung komplett';
-$lang['Piwigo Update'] = 'Piwigo Aktualisierung';
+$lang['Piwigo Update'] = 'Piwigo-Aktualisierung';
 $lang['Extensions Update'] = 'Aktualisierung der Erweiterungen';
 $lang['All extensions are up to date.'] = 'Alle Erweiterungen sind aktuell.';
@@ -772,5 +772,5 @@
 $lang['Rate'] = 'Bewertung';
 $lang['Learn more'] = 'Mehr Informationen';
-$lang['An error has occured during upgrade.'] = 'Ein Fehler trat während des Aktualisierens auf.';
+$lang['An error has occured during upgrade.'] = 'Während des Aktualisierens trat ein Fehler auf.';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ein Fehler trat während des Entpackens auf. Bitte prüfen Sie die Schreibrechte Ihrer Piwigo-Installation. <br><a href="%s">Klicken Sie hier, um das Fehlerprotokoll einzusehen</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kann die Aktualisierungsdatei nicht vom Server laden';
@@ -786,7 +786,7 @@
 $lang['Manage Permissions'] = 'Zugriff verwalten';
 $lang['Maximum file size: %sB.'] = 'Max. Dateigröße: %sB.';
-$lang['Merge selected tags'] = 'Gewählte Tags zusammenführen';
-$lang['Merge tags'] = 'Tags zusammenführen';
-$lang['No destination tag selected'] = 'Keinen Ziel-Tag gewählt';
+$lang['Merge selected tags'] = 'Gewählte Stichworte zusammenführen';
+$lang['Merge tags'] = 'Stichworte zusammenführen';
+$lang['No destination tag selected'] = 'Kein Ziel-Stichwort gewählt';
 $lang['Photo %s of %s'] = 'Bild %s of %s';
 $lang['Select an album'] = 'Wähle ein Album';
@@ -802,5 +802,5 @@
 $lang['administrators'] = 'Administratoren';
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Maximale Auflösung (ca.): %dM Pixel (das sind %dx%d Pixel).';
-$lang['Default comments order'] = 'Standard Sortierreihenfolge für Kommentare';
+$lang['Default comments order'] = 'Standard-Sortierreihenfolge für Kommentare';
 $lang['Gallery unlocked'] = 'Galerie entsperrt';
 $lang['modified'] = 'verändert';
@@ -832,5 +832,5 @@
 $lang['You can activate only one mobile theme.'] = 'Sie können nur ein Mobile Layout aktivieren';
 $lang['%s has been successfully updated.'] = '%s wurde erfolgreich aktualisiert.';
-$lang['Add tags'] = 'Tag hinzufügen';
+$lang['Add tags'] = 'Stichwort hinzufügen';
 $lang['Applications'] = 'Applikationen';
 $lang['Last import'] = 'Letzter Import';
@@ -841,5 +841,5 @@
 $lang['With no virtual album'] = 'Ohne virtuelles Album';
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'Die <em>Piwigo für Android</em> App ermöglicht es Dir, dich auf Deine Piwigo Galerie zu verbinden, Alben zu erstellen und mehrere Fotos gleichzeitig hochzuladen.';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Die <em>Piwigo für iOS</em> App ermöglicht es Dir, dich auf Deine Piwigo Galerie zu verbinden, Alben zu erstellen und mehrere Fotos gleichzeitig hochzuladen.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Das App <em>Piwigo für iOS</em> ermöglicht es Ihnen, sich mit Ihrer Piwigo-Galerie zu verbinden, Alben zu erstellen und mehrere Fotos gleichzeitig hochzuladen.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom ist eine Bildbearbeitungssoftware, die entwickelt wurde, um eine grosse Anzahl an Bildern zu verwalten und zu bearbeiten.';
 $lang['Available on'] = 'Verfügbar am';
@@ -851,12 +851,12 @@
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u Benutzer haben automatisch Zugriff, weil sie zu einer Gruppe mit entsprechenden Zugriffsrechten gehören.';
 $lang['any visitor can see this album'] = 'jeder Besucher kann das Album sehen';
-$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture für Mac ist ein mächtiges Werkzeug um Bilder zu bearbeiten und grpße Sammlungen zu verwalten';
-$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture ist für professionelle Photographen mit der einfach von iPhoto';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture für Mac ist ein mächtiges Werkzeug, um Bilder zu bearbeiten und grpße Sammlungen zu verwalten';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture ist für professionelle Photographen bestimmt und so einfach zu bedienen wie iPhoto';
 $lang['Groups and users'] = 'Gruppen und Benutzer';
 $lang['include photos with lower privacy level'] = 'Photos mit geringerer Privatsphäre einschließen';
 $lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto ist standard Photoverwaltungs-Programm  in MacOSX. Das Piwigo Export Plugin ermöglicht das Erstellen von Alben und das Exportieren von Fotos direkt aus iPhoto in die Piwigo Galery';
 $lang['Permission granted for users'] = 'Zugriff für Benutzer erlaubt';
-$lang['Piwigo export plugin for Aperture'] = 'Piwigo Export Plugin für Aperture';
-$lang['Piwigo export plugin for iPhoto'] = 'Piwigo Export Plugin für iPhoto';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo-Export-Plugin für Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo-Export-Plugin für iPhoto';
 $lang['Piwigo publish plugin for Shotwell'] = 'Piwigo ';
 $lang['Select groups...'] = 'Wähle Gruppen...';
@@ -869,9 +869,9 @@
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam ist für Photographen, die Bilder anschauen, verwalten, bearbeiten, verbessern, verschlagworten oder teilen wollen.';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Funktionen inklusive Galery durchblättern, Alben erstellen und Bilder hochladen.';
-$lang['Generate multiple size images'] = 'Merhfache Bildgrößen generieren';
-$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'In Linux kann Shotwell ganze einfach mit dem Paketmanager mit der Piwigo Publishing option installieren.';
+$lang['Generate multiple size images'] = 'Mehrfache Bildgrößen generieren';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Unter Linux installieren Sie einfach Shotwell mit dem Paketmanager und aktivieren Sie die Option "Piwigo Publishing".';
 $lang['Permission granted for groups'] = 'Zugriff für Gruppen erlaubt';
-$lang['Piwigo publish plugin for digiKam'] = 'Piwigo Veröffentlichungs-Plugin für digiKam';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery App für Android) is ein Open-Source (GPL v3) Piwigo Client für Android.';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo-Veröffentlichungs-Plugin für digiKam';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery) ist ein Piwigo-Client für Android. Das App ist Open Source (GPLv3).';
 $lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell ist eine Open-Source Bildverwaltung für Linux. Es ist das standard Bildverwaltungsprogramm unter Ubuntu und Fedora.';
 $lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Um deine Bilder von didiKam nach Piwigo zu exportieren, installiere einfach digiKam mit den Kipi-Plugins';
@@ -914,5 +914,5 @@
 $lang['Added by %s'] = 'Hinzugefügt von %s';
 $lang['Numeric identifier : %d'] = 'Numerische Kennzahl: %d';
-$lang['Original file : %s'] = 'Original Datei: %s';
+$lang['Original file : %s'] = 'Originaldatei: %s';
 $lang['Posted %s on %s'] = '%s gesendet am %s';
 $lang['Rated %d times, score : %.2f'] = 'Bewertet %d mal, Wertung: %.2f';