Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 16077)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 16078)
@@ -110,5 +110,5 @@
 $lang['New parent album'] = 'آلبوم مادر تازه';
 $lang['New tag'] = 'برچسب تاره';
-$lang['Number of comments per page'] = "تعداد نظرات در هر صفحه";
+$lang['Number of comments per page'] = 'تعداد دیدگاه ها در هر صفحه';
 $lang['Number of rates'] = 'تعداد امتیاز ها';
 $lang['Number of thumbnails to create'] = 'تعداد عکس ریزه برای ایجاد کردن';
@@ -149,5 +149,5 @@
 $lang['Select at least one user'] = 'حداقل یک کاربر را انتخاب کنید';
 $lang['Show info'] = "نمایش اطلاعات";
-$lang['Site manager'] = 'مدیر سایت';
+$lang['Site manager'] = 'مدیریت سایت';
 $lang['Status'] = "وضعیت";
 $lang['Statistics'] = "آمار";
@@ -553,5 +553,5 @@
 $lang['Installed Themes'] = 'قالب های نصب شده';
 $lang['Add New Theme'] = 'افزودن یک قالب تازه';
-$lang['Forbid this theme to users'] = 'اجازه ندادن به کاربران برای انتخاب این قالب';
+$lang['Forbid this theme to users'] = 'اجازه ندادن به کاربران برای انتخاب این زمینه';
 $lang['Set as default theme for unregistered and new users'] = 'انتخاب بعنوان قالب پیشفرض برای مهمانان';
 $lang['unknown'] = 'نا معلوم';
@@ -587,5 +587,5 @@
 $lang['Administration Home'] = 'صفحه مدیریت';
 $lang['Change Admin Colors'] = 'تغییر رنگ های صفحه مدیریت';
-$lang['Delete this theme'] = 'پاک کردن این قالب';
+$lang['Delete this theme'] = 'پاک کردن این زمینه';
 $lang['Directory does not exist'] = 'مسیر وجود ندارد';
 $lang['Download,'] = 'دانلود یکی از نگارش های زیر ،';
@@ -593,9 +593,9 @@
 $lang['Get Support on Piwigo Forum'] = 'گرفتن پشتیبانی از انجمن Piwigo';
 $lang['Help Me'] = 'مرا راهنمایی کن';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'امکان فعال شدن این قالب وجود ندارد، زیرا قالب مادر آن گم شده است: %s';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'امکان پاک کردن این قالب وجود ندارد، زیرا قالب های دیگری به این قالب نیاز دارند: %s';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'امکان فعال شدن این زمینه وجود ندارد، زیرا زمینه ی مادر آن گم شده است: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'امکان پاک کردن این زمینه وجود ندارد، زیرا قالب های دیگری به این زمینه نیاز دارند: %s';
 $lang['Inactive Themes'] = 'قالب های از کار انداخته شده';
 $lang['Install on your computer,'] = 'نصب بر روی کامپیوتر خود،';
-$lang['Make this theme available to users'] = 'در دسترس قرار دادن این قالب برای کاربران';
+$lang['Make this theme available to users'] = 'در دسترس قرار دادن این تم برای کاربران';
 $lang['Page end'] = 'پایان صفحه';
 $lang['Piwigo Uploader'] = 'آپلودر Piwigo';
@@ -623,7 +623,7 @@
 $lang['None'] = 'هیچکدام';
 $lang['Invert'] = 'معکوس کردن';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'امکان از کار انداختن این قالب وجود ندارد، شما باید حداقل یک قالب برای گالری خود داشته باشید.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'امکان از کار انداختن این زمینه وجود ندارد، شما باید حداقل یک زمینه برای گالری خود داشته باشید.';
 $lang['Webmaster status is required.'] = 'وضعیت مدیرکل ضروری است.';
-$lang['Bound Theme'] = 'محدود کردن قالب';
+$lang['Bound Theme'] = 'محدود کردن زمینه';
 $lang['Allow rating'] = "فعال بودن سیستم امتیازدهی";
 $lang['Select at least one comment'] = 'حداقل یک دیدگاه را انتخاب کنید';
@@ -705,5 +705,5 @@
 $lang['Themes which need upgrade'] = 'قالب های نیازمند آپگرید';
 $lang['Languages which need upgrade'] = 'زبان های نیازمند بروز رسانی';
-$lang['All themes are up to date.'] = 'تمام قالب ها بروز می باشند.';
+$lang['All themes are up to date.'] = 'تمام زمینه ها بروز می باشند.';
 $lang['All plugins are up to date.'] = 'تمام افزونه (پلاگین) ها بروز می باشند.';
 $lang['All languages are up to date.'] = 'تمام زبان ها بروز می باشند.';
@@ -780,5 +780,5 @@
 $lang['Follow Orientation'] = 'جهت را دنبال کنید';
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'افزونه های زیر ممکن است با نگارش تازه ی Piwigo سازگار نباشند:';
-$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'قالب های زیر ممکن است با نگارش تازه ی Piwigo سازگار نباشند:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'زمینه های زیر ممکن است با نگارش تازه ی Piwigo سازگار نباشند:';
 $lang['Gallery unlocked'] = 'گالری باز شد';
 $lang['Graphics Library'] = 'کتابخانه ی گرافیک';
@@ -833,5 +833,5 @@
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'ضمیمه کردن داده ی تاریخ (هشدار: ممکن است به حافظه ی سرور فشار بیاورد)';
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'دریافت Piwigo برای iOS (iPhone, iPad, iPod Touch)';
-$lang['Save visits in history for'] = 'ذخیره کردن بازدید ها برای مدت';
+$lang['Save visits in history for'] = 'ذخیره کردن بازدید ها برای';
 $lang['This album contains %d photos, added between %s and %s.'] = 'این آلبوم شامل %d عکس می باشد که بین %s و %s اضافه شده اند.';
 $lang['This album contains %d photos, added on %s.'] = 'این آلبوم شامل %d عکس می باشد که در %s اضافه شده اند.';
@@ -860,6 +860,6 @@
 $lang['%s in the future'] = '%s بعد';
 $lang['Applications'] = 'برنامه های کاربردی (Application)';
-$lang['Apply watermark if height is bigger than'] = 'استفاده از چاپ سپید (Watermark) فقط در زمانی که بلندا بیشتر باشد از';
-$lang['Apply watermark if width is bigger than'] = 'استفاده از چاپ سپید (Watermark) فقط در زمانی که پهنا بیشتر باشد از';
+$lang['Apply watermark if height is bigger than'] = 'استفاده از چاپ سپید فقط در زمانی که بلندا بیشتر باشد از';
+$lang['Apply watermark if width is bigger than'] = 'استفاده از چاپ سپید فقط در زمانی که پهنا بیشتر باشد از';
 $lang['Automatic sort order'] = 'تنظیم کردن با ترتیب خودکار';
 $lang['Edit photo'] = 'ویرایش عکس';
@@ -878,5 +878,5 @@
 $lang['Y Position'] = 'مکان در محور Y';
 $lang['You can activate only one mobile theme.'] = 'شما فقط می توانید یک قالب برای موبایل فعال کنید.';
-$lang['add a new watermark'] = 'اضافه کردن یک چاپ سپید (Watermark) تازه';
+$lang['add a new watermark'] = 'اضافه کردن یک چاپ سپید تازه';
 $lang['apply automatic sort order'] = 'استفاده از ترتیب خودکار';
 $lang['bottom left corner'] = 'گوشه ی پایین سمت چپ';