Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 16099)
+++ /trunk/language/de_DE/admin.lang.php	(revision 16100)
@@ -241,5 +241,5 @@
 $lang['[NBM] Problems or questions'] = '[NBM] Probleme oder Fragen';
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Der Webmaster hat dich für die E-Mail-Benachrichtigung ausgetragen';
-$lang['You have unsubscribed from receiving notifications by mail.'] = 'Sie haben sich ausgetragen für die Benachrichtigung per E-Mail';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Sie haben sich ausgetragen aus der Benachrichtigung per E-Mail';
 $lang[', click on'] = ',klicke auf diesen Link:';
 $lang['To unsubscribe'] = 'Zum Austragen';
@@ -305,5 +305,5 @@
 $lang['selection'] = 'Auswahl';
 $lang['set to'] = 'Setze auf';
-$lang['singly represented'] = 'festgelegtes Vorschaubild';
+$lang['singly represented'] = 'festgelegtes Album-Vorschaubild';
 $lang['This site already exists'] = 'Diese Seite gibt es bereits';
 $lang['created'] = 'erstellt';
@@ -315,5 +315,5 @@
 $lang['status'] = 'Status';
 $lang['Directory'] = 'Verzeichnis';
-$lang['sub-albums'] = 'Sub-Album';
+$lang['sub-albums'] = 'Unteralbum';
 $lang['Synchronize metadata'] = 'Synchronisieren von Metadaten';
 $lang['target'] = 'Ziel:';
@@ -354,6 +354,6 @@
 $lang['albums deleted in the database'] = 'Alben von der Datenbank entfernt';
 $lang['photos deleted from the database'] = 'von der Datenbank gelöschte Fotos';
-$lang['photos candidates for metadata synchronization'] = 'Fotos zur Metadata Synchronisation';
-$lang['photos informations synchronized with files metadata'] = 'Fotoinformationen mit den Metadaten der Datei synchronisiert';
+$lang['photos candidates for metadata synchronization'] = 'Fotos bereit zur Metadaten-Synchronisation';
+$lang['photos informations synchronized with files metadata'] = 'Fotoinformationen mit den Datei-Metadaten synchronisiert';
 $lang['errors during synchronization'] = 'Fehler während der Synchronisation';
 $lang['albums added in the database'] = 'Alben in der Datenbank hinzugefügt';
@@ -364,14 +364,14 @@
 $lang['deleted'] = 'gelöscht';
 $lang['Metadata synchronization results'] = 'Ergebnisse der Metadaten-Synchronisierung';
-$lang['only perform a simulation (no change in database will be made)'] = 'nur Simulation (es werden keine Änderungen in der Datenbank vorgenommen)';
+$lang['only perform a simulation (no change in database will be made)'] = 'nur Simulation durchführen, ohne Änderungen in der Datenbank vorzunehmen';
 $lang['Simulation'] = 'Simulation';
 $lang['directories + files'] = 'Ordner + Dateien';
 $lang['only directories'] = 'nur Ordner';
-$lang['synchronize files structure with database'] = 'Syncronisiere Dateistruktur mit der Datenbank';
+$lang['synchronize files structure with database'] = 'synchronisiere Dateistruktur mit der Datenbank';
 $lang['synchronize files metadata with database photos informations'] = 'synchronisiere Metadaten der Datei mit den Fotoinformationen der Datenbank';
 $lang['even already synchronized photos'] = 'auch bereits synchronisierte Fotos';
 $lang['Used metadata'] = 'Benutzte Metadaten';
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'Ordner- und Dateinamen müssen aus Buchstaben oder den Zeichen "-", "_" oder "." bestehen';
-$lang['wrong filename'] = 'Falscher Dateiname';
+$lang['wrong filename'] = 'falscher Dateiname';
 $lang['Upload'] = 'Upload';
 $lang['user "%s" added'] = 'Benutzer "%s" hinzugefügt';
@@ -437,5 +437,5 @@
 $lang['Go to %s or %s for more informations'] = 'Gehen Sie zu %s oder %s für weitere Informationen';
 $lang['the forum'] = 'das Forum';
-$lang['the wiki'] = 'das wiki';
+$lang['the wiki'] = 'das Wiki';
 $lang['%s value is not correct file because exif are not supported'] = 'Der Wert %s ist nicht korrekt, weil Exif nicht unterstützt wird';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s muss auf "false" in Ihrer Server-Datei local/config/config.inc.php gesetzt werden';
@@ -480,5 +480,5 @@
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Sind Sie sicher, dass Sie dieses Plugin installieren möchten? Stellen sicher, dass die vorhergehende Version nicht deinstalliert werden muss.';
 $lang['Plugin has been successfully copied'] = 'Das Plugin wurde erfolgreich installiert.';
-$lang['You might go to plugin list to install and activate it.'] = 'Gehen Sie zur "Liste der Plugins", um installierte Plugins zu aktivieren.';
+$lang['You might go to plugin list to install and activate it.'] = 'Gehen Sie zur Liste der Plugins, um installierte Plugins zu aktivieren.';
 $lang['Can\'t create temporary file.'] = 'Temporäre Datei kann nicht erstellt.';
 $lang['Can\'t download archive.'] = 'Kann Archiv nicht downloaden.';
@@ -516,5 +516,5 @@
 $lang['Modify information'] = 'Informationen ändern';
 $lang['nothing'] = 'nichts';
-$lang['overrides existing values with empty ones'] = 'Überschreibt alle existierenden Werte in der Datenbank mit leeren!!  (filesize, width, height, high_filesize, date_creation, keywords, date_creation, author, name, comment)';
+$lang['overrides existing values with empty ones'] = 'setzt alle in der Datenbank vorhandenen Werte zurück  ';
 $lang['Manage photo ranks'] = 'Verwalte Foto-Rangordnung';
 $lang['Edit ranks'] = 'Die Reihenfolge ändern';
@@ -565,5 +565,5 @@
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Geben Sie dem Ordner "%s" im Hauptordner (root) Ihrer Piwigo-Installation Schreibrechte (chmod 777)';
 $lang['existing album'] = 'existierendes Album';
-$lang['create a new album'] = 'Ein neues Album erstellen';
+$lang['create a new album'] = 'erstelle ein neues Album';
 $lang['Album name'] = 'Albumname';
 $lang['Album "%s" has been added'] = 'Album "%s" wurde hinzugefügt';
@@ -608,5 +608,5 @@
 $lang['Visit Gallery'] = 'Besuche die Galerie';
 $lang['Visit Piwigo project website'] = 'Besuche die Piwigo-Projekthomepage';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader bedeutet <em>Piwigo Uploader</em>. Auf deinem Computer bereitet der pLoader die Fotos vor und transferiert sie in die Piwigo Fotogalerie.';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader bedeutet <em>Piwigo-Uploader</em>. pLoader bereitet Ihre Fotos auf Ihrem Computer vor und überträgt sie in Ihre Piwigo-Fotogalerie.';
 $lang['Guest Settings'] = 'Einstellungen für Gäste';
 $lang['Main Page'] = 'Hauptseite';
@@ -814,5 +814,5 @@
 $lang['Save visits in history for'] = 'Besuche in der History speichern für';
 $lang['Send connection settings by email'] = 'Verbindungseinstellungen als E-Mail senden';
-$lang['simple visitors'] = 'Einfache Besucher';
+$lang['simple visitors'] = 'einfache Besucher';
 $lang['The original image quality must be a number between %d and %d'] = 'Die originale Bildqualität muss eine Zahl zwischen %d und %d sein';
 $lang['The original maximum height must be a number between %d and %d'] = 'Die originale Maximalhöhe muss eine Zahl zwischen %d und %d sein';
@@ -827,5 +827,5 @@
 $lang['Automatic sort order'] = 'Automatische Sortierreihenfolge';
 $lang['Cancel'] = 'Abbrechen';
-$lang['cancel manual order'] = 'Manuelle Reihenfolge abbrechen';
+$lang['cancel manual order'] = 'manuelle Reihenfolge abbrechen';
 $lang['List'] = 'Liste';
 $lang['Save manual order'] = 'Manuelle Reihenfolge speichern';
@@ -864,7 +864,7 @@
 $lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Das Piwigo-Export-Plugin erlaubt es, Alben zu erstellen und Fotos zu exportieren';
 $lang['There is no group in this gallery.'] = 'Es gibt keine Gruppe in dieser Galerie.';
-$lang['visitors need to login and have the appropriate permissions to see this album'] = 'Besucher müssen sich einloggen um das Album zu sehen (Zugriffsrechte)';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'Besucher müssen sich einloggen und die entsprechenden Rechte besitzen, um das Album zu sehen';
 $lang['Delete multiple size images'] = 'Mehrfache Bildgrößen löschen';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam ist ein fortschrittliches Bildverwaltungsprogramm für Linux, Windows und MacOSX. digikam ist freie Software.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam ist ein modernes Bildverwaltungsprogramm für Linux, Windows und MacOSX. digikam ist freie Software.';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam ist für Fotografen gedacht, die Bilder anschauen, verwalten, bearbeiten, verbessern, mit Schlagwörtern erfassen und mit Anderen teilen wollen.';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Funktionen inklusive Galery durchblättern, Alben erstellen und Bilder hochladen.';
@@ -881,5 +881,5 @@
 $lang['Photo sizes with crop'] = 'Bildgrößen nach Zuschnitt';
 $lang['The center of interest is the most meaningful zone in the photo.'] = 'Der Mittelpunkt ist der bedeutungsvollste Bereich im Bild.';
-$lang['add a new watermark'] = 'ein neues Wasserzeichen hinzufügen';
+$lang['add a new watermark'] = 'füge ein neues Wasserzeichen hinzu';
 $lang['Apply watermark if height is bigger than'] = 'Wasserzeichen anwenden, wenn die Höhe größer ist als';
 $lang['Apply watermark if width is bigger than'] = 'Wasserzeichen anwenden, wenn die Breite größer ist als';
@@ -895,5 +895,5 @@
 $lang['top right corner'] = 'obere rechte Ecke';
 $lang['X Position'] = 'X-Position';
-$lang['X Repeat'] = 'X Wiederholen';
+$lang['X Repeat'] = 'X-Wiederholung';
 $lang['Y Position'] = 'Y-Position';
 $lang['Multiple Size'] = 'Mehrfache Größe';
@@ -923,4 +923,4 @@
 $lang['%d weeks'] = '%d Wochen';
 $lang['Edit photo'] = 'Foto bearbeiten';
-$lang['create a new site'] = 'Erstelle eine neue Seite';
+$lang['create a new site'] = 'erstelle eine neue Seite';
 ?>